// HoldCallEvent.cpp: implementation of the CHoldCallEvent class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "ServerSIP.h"
#include "HoldCallEvent.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CHoldCallEvent::CHoldCallEvent()
{

}

CHoldCallEvent::~CHoldCallEvent()
{

}

void CHoldCallEvent::OnHoldCall(CCallData* pCallData) 
{
	if(pCallData->m_pBindCallData == NULL) return;
	
	CServerSIP::m_pServerSIP->AddCallToSession(pCallData->m_pBindCallData, CServerSIP::m_pServerSIP->m_objServerData.GetHoldSessionId());
}

void CHoldCallEvent::OffHoldCall(CCallData* pCallData) 
{
	if(pCallData->m_pBindCallData == NULL) return;
			
	CServerSIP::m_pServerSIP->AddCallToSession(pCallData->m_pBindCallData, pCallData->m_lSessionId);
}
