// ServerData.h: interface for the CServerData class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SERVERDATA_H__C642E3B7_3572_4D3F_9118_8ABFDA63E330__INCLUDED_)
#define AFX_SERVERDATA_H__C642E3B7_3572_4D3F_9118_8ABFDA63E330__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CServerData  
{
public:
	CServerData();
	virtual ~CServerData();

private:

	long m_lStealthSession;
	long m_lStealthWaveId;
	
	long m_lHoldSession;
	long m_lHoldPlayWaveId;
	
	long m_lDialToneWaveId;
	long m_lDialToneSession;

public:
	
	long GetDialToneSessionId();
	long GetStealthSessionId();
	long GetHoldSessionId();

	void LoadWavFiles();
	void UnLoadWavFiles();

	void LoadServer();
	void UnLoadServer();
};

#endif // !defined(AFX_SERVERDATA_H__C642E3B7_3572_4D3F_9118_8ABFDA63E330__INCLUDED_)
