#pragma once

#include "GeneralForm.h"
#include "AddDialPlanForm.h"
#include "AddLineForm.h"
#include "AddLoginForm.h"
#include "AddQueueForm.h"
#include "ErrorLogForm.h"
#include "StatusLogForm.h"
#include "cTelnetClient.h"
#include "AuthForm.h"

namespace VaxTeleConfigSIP {

	using namespace System;
	using namespace System::ComponentModel;
	using namespace System::Collections;
	using namespace System::Windows::Forms;
	using namespace System::Data;
	using namespace System::Drawing;
	using namespace System::Text;

	/// <summary>
	/// Summary for Form1
	///
	/// WARNING: If you change the name of this class, you will need to change the
	///          'Resource File Name' property for the managed resource compiler tool
	///          associated with all .resx files this class depends on.  Otherwise,
	///          the designers will not be able to interact properly with localized
	///          resources associated with this form.
	/// </summary>
	public ref class MainForm : public System::Windows::Forms::Form
	{
	public:
		MainForm(void)
		{
			InitializeComponent();
			//
			//TODO: Add the constructor code here
			//
		}

	protected:
		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		~MainForm()
		{
			if (components)
			{
				delete components;
			}
		}
	internal: System::Windows::Forms::TabControl^  TabCtrlMain;
	protected: 
	internal: System::Windows::Forms::TabPage^  TabPageGeneral;
	internal: System::Windows::Forms::TabPage^  TabPageLogin;
	internal: System::Windows::Forms::TabPage^  TabPageLine;
	internal: System::Windows::Forms::TabPage^  TabPageDialPlan;
	internal: System::Windows::Forms::TabPage^  TabPageQueue;
	internal: System::Windows::Forms::TabPage^  TabPageErrorLog;
	internal: System::Windows::Forms::TabPage^  TabPageStatusLog;

	public:
		
		static MainForm^ m_objMainForm;
	
	public:

		GeneralForm^ m_objGeneralForm;
		AddLoginForm^ m_objAddLoginForm;
        AddLineForm^ m_objAddLineForm;
        AddDialPlanForm^ m_objAddDialPlanForm;
        AddQueueForm^ m_objAddQueueForm;
        ErrorLogForm^ m_objErrorLogForm;
        StatusLogForm^ m_objStatusLogForm;
		cTelnetClient^ m_objTelnetClient;



	
	internal: 
	private: System::ComponentModel::IContainer^  components;
	
	private:
		/// <summary>
		/// Required designer variable.
		/// </summary>


#pragma region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		void InitializeComponent(void)
		{
			this->TabCtrlMain = (gcnew System::Windows::Forms::TabControl());
			this->TabPageGeneral = (gcnew System::Windows::Forms::TabPage());
			this->TabPageLogin = (gcnew System::Windows::Forms::TabPage());
			this->TabPageLine = (gcnew System::Windows::Forms::TabPage());
			this->TabPageDialPlan = (gcnew System::Windows::Forms::TabPage());
			this->TabPageQueue = (gcnew System::Windows::Forms::TabPage());
			this->TabPageErrorLog = (gcnew System::Windows::Forms::TabPage());
			this->TabPageStatusLog = (gcnew System::Windows::Forms::TabPage());
			this->TabCtrlMain->SuspendLayout();
			this->SuspendLayout();
			// 
			// TabCtrlMain
			// 
			this->TabCtrlMain->Controls->Add(this->TabPageGeneral);
			this->TabCtrlMain->Controls->Add(this->TabPageLogin);
			this->TabCtrlMain->Controls->Add(this->TabPageLine);
			this->TabCtrlMain->Controls->Add(this->TabPageDialPlan);
			this->TabCtrlMain->Controls->Add(this->TabPageQueue);
			this->TabCtrlMain->Controls->Add(this->TabPageErrorLog);
			this->TabCtrlMain->Controls->Add(this->TabPageStatusLog);
			this->TabCtrlMain->DrawMode = System::Windows::Forms::TabDrawMode::OwnerDrawFixed;
			this->TabCtrlMain->Font = (gcnew System::Drawing::Font(L"Verdana", 9.75F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->TabCtrlMain->ImeMode = System::Windows::Forms::ImeMode::NoControl;
			this->TabCtrlMain->Location = System::Drawing::Point(9, 10);
			this->TabCtrlMain->Name = L"TabCtrlMain";
			this->TabCtrlMain->SelectedIndex = 0;
			this->TabCtrlMain->Size = System::Drawing::Size(674, 597);
			this->TabCtrlMain->TabIndex = 4;
			this->TabCtrlMain->DrawItem += gcnew System::Windows::Forms::DrawItemEventHandler(this, &MainForm::TabCtrlMain_DrawItem);
			// 
			// TabPageGeneral
			// 
			this->TabPageGeneral->BackColor = System::Drawing::SystemColors::Control;
			this->TabPageGeneral->Location = System::Drawing::Point(4, 25);
			this->TabPageGeneral->Name = L"TabPageGeneral";
			this->TabPageGeneral->Padding = System::Windows::Forms::Padding(3);
			this->TabPageGeneral->Size = System::Drawing::Size(666, 568);
			this->TabPageGeneral->TabIndex = 0;
			this->TabPageGeneral->Text = L"General";
			// 
			// TabPageLogin
			// 
			this->TabPageLogin->BackColor = System::Drawing::SystemColors::Control;
			this->TabPageLogin->Location = System::Drawing::Point(4, 25);
			this->TabPageLogin->Name = L"TabPageLogin";
			this->TabPageLogin->Padding = System::Windows::Forms::Padding(3);
			this->TabPageLogin->Size = System::Drawing::Size(666, 568);
			this->TabPageLogin->TabIndex = 1;
			this->TabPageLogin->Text = L"Login(s)";
			// 
			// TabPageLine
			// 
			this->TabPageLine->BackColor = System::Drawing::SystemColors::Control;
			this->TabPageLine->Location = System::Drawing::Point(4, 25);
			this->TabPageLine->Name = L"TabPageLine";
			this->TabPageLine->Size = System::Drawing::Size(666, 568);
			this->TabPageLine->TabIndex = 2;
			this->TabPageLine->Text = L"Line(s)";
			// 
			// TabPageDialPlan
			// 
			this->TabPageDialPlan->BackColor = System::Drawing::SystemColors::Control;
			this->TabPageDialPlan->Location = System::Drawing::Point(4, 25);
			this->TabPageDialPlan->Name = L"TabPageDialPlan";
			this->TabPageDialPlan->Size = System::Drawing::Size(666, 568);
			this->TabPageDialPlan->TabIndex = 3;
			this->TabPageDialPlan->Text = L"Dialplan(s)";
			// 
			// TabPageQueue
			// 
			this->TabPageQueue->BackColor = System::Drawing::SystemColors::Control;
			this->TabPageQueue->Location = System::Drawing::Point(4, 25);
			this->TabPageQueue->Name = L"TabPageQueue";
			this->TabPageQueue->Size = System::Drawing::Size(666, 568);
			this->TabPageQueue->TabIndex = 4;
			this->TabPageQueue->Text = L"Queue(s)";
			// 
			// TabPageErrorLog
			// 
			this->TabPageErrorLog->BackColor = System::Drawing::SystemColors::Control;
			this->TabPageErrorLog->Location = System::Drawing::Point(4, 25);
			this->TabPageErrorLog->Name = L"TabPageErrorLog";
			this->TabPageErrorLog->Size = System::Drawing::Size(666, 568);
			this->TabPageErrorLog->TabIndex = 5;
			this->TabPageErrorLog->Text = L"Error log (0)";
			// 
			// TabPageStatusLog
			// 
			this->TabPageStatusLog->BackColor = System::Drawing::SystemColors::Control;
			this->TabPageStatusLog->Location = System::Drawing::Point(4, 25);
			this->TabPageStatusLog->Name = L"TabPageStatusLog";
			this->TabPageStatusLog->Size = System::Drawing::Size(666, 568);
			this->TabPageStatusLog->TabIndex = 6;
			this->TabPageStatusLog->Text = L"Status log (0)";
			// 
			// MainForm
			// 
			this->AutoScaleDimensions = System::Drawing::SizeF(7, 13);
			this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
			this->ClientSize = System::Drawing::Size(693, 620);
			this->Controls->Add(this->TabCtrlMain);
			this->Font = (gcnew System::Drawing::Font(L"Verdana", 8.25F));
			this->FormBorderStyle = System::Windows::Forms::FormBorderStyle::FixedSingle;
			this->MaximizeBox = false;
			this->Name = L"MainForm";
			this->Text = L"VaxTele Configuration Manager";
			this->Load += gcnew System::EventHandler(this, &MainForm::MainForm_Load);
			this->FormClosing += gcnew System::Windows::Forms::FormClosingEventHandler(this, &MainForm::MainForm_FormClosing);
			this->TabCtrlMain->ResumeLayout(false);
			this->ResumeLayout(false);

		}
#pragma endregion
		
	private: System::Void MainForm_Load(System::Object^  sender, System::EventArgs^  e) 
	{
		m_objMainForm = this;	
		m_objTelnetClient = gcnew cTelnetClient();

		AuthForm^ objAuthForm = gcnew AuthForm();

        objAuthForm->m_objTelnetClient = m_objTelnetClient;
        objAuthForm->ShowDialog();
		
		if(objAuthForm->m_bConnected == false)
		{
			Close();
			return;
		}

		m_objGeneralForm = gcnew GeneralForm();
		m_objGeneralForm->TopLevel = false;
		m_objGeneralForm->Visible = true;
		m_objGeneralForm->FormBorderStyle = ::FormBorderStyle::None;
		m_objGeneralForm->Dock = ::DockStyle::Fill;
		TabCtrlMain->TabPages[0]->Controls->Add(m_objGeneralForm);

		m_objAddLoginForm = gcnew AddLoginForm();
		m_objAddLoginForm->TopLevel = false;
		m_objAddLoginForm->Visible = true;
		m_objAddLoginForm->FormBorderStyle = ::FormBorderStyle::None;
		m_objAddLoginForm->Dock = ::DockStyle::Fill;
		TabCtrlMain->TabPages[1]->Controls->Add(m_objAddLoginForm);

		m_objAddLineForm = gcnew AddLineForm();
		m_objAddLineForm->TopLevel = false;
		m_objAddLineForm->Visible = true;
		m_objAddLineForm->FormBorderStyle = ::FormBorderStyle::None;
		m_objAddLineForm->Dock = ::DockStyle::Fill;
		TabCtrlMain->TabPages[2]->Controls->Add(m_objAddLineForm);

		m_objAddDialPlanForm = gcnew AddDialPlanForm();
		m_objAddDialPlanForm->TopLevel = false;
		m_objAddDialPlanForm->Visible = true;
		m_objAddDialPlanForm->FormBorderStyle = ::FormBorderStyle::None;
		m_objAddDialPlanForm->Dock = ::DockStyle::Fill;
		TabCtrlMain->TabPages[3]->Controls->Add(m_objAddDialPlanForm);

		m_objAddQueueForm = gcnew AddQueueForm();
		m_objAddQueueForm->TopLevel = false;
		m_objAddQueueForm->Visible = true;
		m_objAddQueueForm->FormBorderStyle = ::FormBorderStyle::None;
		m_objAddQueueForm->Dock = ::DockStyle::Fill;
		TabCtrlMain->TabPages[4]->Controls->Add(m_objAddQueueForm);

		m_objErrorLogForm = gcnew ErrorLogForm();
		m_objErrorLogForm->TopLevel = false;
		m_objErrorLogForm->Visible = true;
		m_objErrorLogForm->FormBorderStyle = ::FormBorderStyle::None;
		m_objErrorLogForm->Dock = ::DockStyle::Fill;
		TabCtrlMain->TabPages[5]->Controls->Add(m_objErrorLogForm);

		m_objStatusLogForm = gcnew StatusLogForm();
		m_objStatusLogForm->TopLevel = false;
		m_objStatusLogForm->Visible = true;
		m_objStatusLogForm->FormBorderStyle = ::FormBorderStyle::None;
		m_objStatusLogForm->Dock = ::DockStyle::Fill;
		TabCtrlMain->TabPages[6]->Controls->Add(m_objStatusLogForm);

	}
	
	private: System::Void TabCtrlMain_DrawItem(System::Object^  sender, System::Windows::Forms::DrawItemEventArgs^  e) 
	{
			Graphics^ g = e->Graphics;
             
			::Font^ font = gcnew ::Font(e->Font, ::FontStyle::Bold);

			::SolidBrush^ b = gcnew ::SolidBrush(::SystemColors::Control);
			g->FillRectangle(b, e->Bounds);

			b->Color = ::Color::Black;
            g->DrawString(this->TabCtrlMain->TabPages[e->Index]->Text, e->Font, b, (float) e->Bounds.X + 2, (float) e->Bounds.Y + 2);
	}

	
	delegate void OnTelnetRecv(String^ sCommand, ArrayList^ objParamList, MainForm^ objMainForm);
	public: void InvokeTelnetRecv(String^ sCommand, ArrayList^ objParamList)
    {
		this->Invoke(gcnew OnTelnetRecv(&OnTelnetCommand), sCommand, objParamList, this);
    }
			
	public: void SetPageTitle(System::String^ sTitle, int nPageNo)
    {
         this->TabCtrlMain->TabPages[nPageNo]->Text = sTitle;
    }
	
	static void OnTelnetCommand(String^ sCommand, ArrayList^ objParamList, MainForm^ objMainForm)
    {
		if(String::Compare(sCommand, "GetDialToneMusic", true) == 0 || String::Compare(sCommand, "GetStealthMusic", true) == 0 || String::Compare(sCommand, "GetHoldMusic", true) == 0 || String::Compare(sCommand, "StatusServerSIP", true) == 0)
		{
			objMainForm->m_objGeneralForm->OnTelnetCommand(sCommand, objParamList);
			return;
		}

		if (String::Compare(sCommand, "GetCallCount", true) == 0 || String::Compare(sCommand, "GetUserCount", true) == 0 || String::Compare(sCommand, "GetUsageCPU", true) == 0 || String::Compare(sCommand, "GetAvailMEM", true) == 0)
		{
			objMainForm->m_objGeneralForm->OnTelnetCommand(sCommand, objParamList);
			return;
		}

		if(String::Compare(sCommand, "GetCOMM", true) == 0 || String::Compare(sCommand, "SetCOMM", true) == 0)
		{
			objMainForm->m_objGeneralForm->OnTelnetCommand(sCommand, objParamList);
			return;
		}

		///////////////////////////////////////

		if(String::Compare(sCommand, "ShowUsers", true) == 0)
		{
			objMainForm->m_objAddLoginForm->OnTelnetCommand(sCommand, objParamList);
			objMainForm->m_objAddQueueForm->OnTelnetCommand(sCommand, objParamList);
			objMainForm->m_objAddLineForm->OnTelnetCommand(sCommand, objParamList);

			return;
		}

		if(String::Compare(sCommand, "RemoveUser", true) == 0 || String::Compare(sCommand, "AddUser", true) == 0)
		{
			objMainForm->m_objAddLoginForm->OnTelnetCommand(sCommand, objParamList);
			objMainForm->m_objAddQueueForm->OnTelnetCommand(sCommand, objParamList);
			objMainForm->m_objAddLineForm->OnTelnetCommand(sCommand, objParamList);

			return;
		}

		if(String::Compare(sCommand, "UpdateUser", true) == 0 || String::Compare(sCommand, "UserInfo", true) == 0)
		{
			objMainForm->m_objAddLoginForm->OnTelnetCommand(sCommand, objParamList);
			return;
		}

		///////////////////////////////////////

		if(String::Compare(sCommand, "RemoveQueue", true) == 0 || String::Compare(sCommand, "AddQueue", true) == 0 || String::Compare(sCommand, "ShowQueues", true) == 0)
		{
			objMainForm->m_objAddQueueForm->OnTelnetCommand(sCommand, objParamList);
			objMainForm->m_objAddLineForm->OnTelnetCommand(sCommand, objParamList);
			return;
		}

		if(String::Compare(sCommand, "UpdateQueue", true) == 0 || String::Compare(sCommand, "QueueInfo", true) == 0)
		{
			objMainForm->m_objAddQueueForm->OnTelnetCommand(sCommand, objParamList);
			return;
		}

		////////////////////////////////////////

		if(String::Compare(sCommand, "RemoveLine", true) == 0 || String::Compare(sCommand, "AddLine", true) == 0 || String::Compare(sCommand, "ShowLines", true) == 0)
		{
			objMainForm->m_objAddLineForm->OnTelnetCommand(sCommand, objParamList);
			objMainForm->m_objAddDialPlanForm->OnTelnetCommand(sCommand, objParamList);
			return;
		}

		if(String::Compare(sCommand, "UpdateLine", true) == 0 || String::Compare(sCommand, "LineInfo", true) == 0 || String::Compare(sCommand, "ShowLines", true) == 0)
		{
			objMainForm->m_objAddLineForm->OnTelnetCommand(sCommand, objParamList);
			return;
		}

		////////////////////////////////////////

		if(String::Compare(sCommand, "ShowDialPlans", true) == 0)
		{
			objMainForm->m_objAddDialPlanForm->OnTelnetCommand(sCommand, objParamList);
			return;
		}

		if(String::Compare(sCommand, "RemoveDialPlan", true) == 0 || String::Compare(sCommand, "AddDialPlan", true) == 0)
		{
			objMainForm->m_objAddDialPlanForm->OnTelnetCommand(sCommand, objParamList);
			return;
		}

		if(String::Compare(sCommand, "UpdateDialPlan", true) == 0 || String::Compare(sCommand, "DialPlanInfo", true) == 0)
		{
			objMainForm->m_objAddDialPlanForm->OnTelnetCommand(sCommand, objParamList);
			return;
		}

		////////////////////////////////////////

		if(String::Compare(sCommand, "ErrorLog", true) == 0)
		{
			objMainForm->m_objErrorLogForm->OnTelnetCommand(sCommand, objParamList);
			return;
		}

		if(String::Compare(sCommand, "StatusLog", true) == 0)
		{
			objMainForm->m_objStatusLogForm->OnTelnetCommand(sCommand, objParamList);
			return;
		}

		////////////////////////////////////////

		if(String::Compare(sCommand, "MSG", true) == 0 && objParamList->Count == 1)
		{
			MessageBox::Show((String^) objParamList[0], "VaxTeleSIP", MessageBoxButtons::OK, MessageBoxIcon::Exclamation);
			return;
		}
	}
		
	public: void SendCommand(String^ sCommand, ArrayList^ objParamList)
    {
		m_objTelnetClient->SendCommand(sCommand, objParamList);
	}

	public: void SendCommand(String^ sCommand)
    {
		m_objTelnetClient->SendCommand(sCommand);
    }


	public: void ParseToList(String^ sString, ArrayList^% objStrList)
	{
		while(sString->Length != 0)
		{
			int nEnd = sString->IndexOf(",");

			if(nEnd == -1)
			{
				objStrList->Add(sString);
				break;
			}

			objStrList->Add(sString->Substring(0, nEnd));
			sString = sString->Remove(0, nEnd + 1);
		}
	}
	
	private: void MainForm_FormClosing(System::Object^  sender, System::Windows::Forms::FormClosingEventArgs^  e) 
	{
		m_objTelnetClient->CloseSocket();
	}
};
}

