#pragma once

using namespace System;
using namespace System::Collections;
using namespace System::Text;

ref class cCallData;
ref class cLineData;
ref class cUserData;

public ref class cCallEvent
{

public:
	cCallEvent(void);

public:

	void OnIncomingCallFromLine(cCallData^ objCallData, cLineData^ objLineData, String^ sDialNo);
	void OnIncomingCallFromUser(cCallData^ objUserCallData, cUserData^ objUserData, String^ sDialNo);
	void OnIncomingCallQueueType(cCallData^ objCallData, unsigned int unQueueId);
	void OnIncomingCallStealthType(cCallData^ objCallData, cUserData^ objUserData, String^ sDialNo);
	void OnIncomingCallRegularType(cCallData^ objCallData, cUserData^ objUserData, String^ sDialNo);
	void OnAcceptIncomingCallConnected(cCallData^ objCallData);
	void OnDialCallConnected(cCallData^ objCallData);
	void OnConnectedCallRegularType(cCallData^ objCallData);
	void OnConnectedCallStealthType(cCallData^ objCallData);
	void OnConnectedCallQueueType(cCallData^ objCallData);
	void OnDialCallTimeOut(cCallData^ objCallData);
	void OnAcceptCallTimeOut(cCallData^ objCallData);
	void OnDisconnectCall(cCallData^ objCallData);
	void OnIncomingCallCancel(cCallData^ objCallData);
	void OnSessionLost(cCallData^ objCallData);
};
