#include "StdAfx.h"
#include "CallList.h"
#include "TransferCallEvent.h"
#include "ServerSIP.h"

cTransferCallEvent::cTransferCallEvent(void)
{
}

void cTransferCallEvent::OnTransferCallBlind(cCallData^ objCallData, String^ sTransferee, String^ sTransferTo, String^ sTransferToURI)
{
    cCallData^ objBindCallData = objCallData->m_objBindCallData;

    cServerSIP::m_objServerSIP->TransferCallAccept(objCallData);
    cServerSIP::m_objServerSIP->CloseCall(objCallData);

    cCallData^ objDialCallData = cServerSIP::m_objServerSIP->DialCallToUser(objBindCallData, sTransferTo);

    if(objDialCallData == nullptr)
    {
        cServerSIP::m_objServerSIP->CloseCall(objBindCallData);
    }
}

void cTransferCallEvent::OnTransferCallAttend(cCallData^ objCallData, cCallData^ objTransferToCallData)
{
    cCallData^ objBindCallData = objCallData->m_objBindCallData;

    cServerSIP::m_objServerSIP->TransferCallAccept(objCallData);
    cServerSIP::m_objServerSIP->CloseCall(objCallData);

    cCallData^ objTransferToBindCallData = objTransferToCallData->m_objBindCallData;
    cServerSIP::m_objServerSIP->CloseCall(objTransferToBindCallData);

    cServerSIP::m_objServerSIP->BindTwoCall(objBindCallData, objTransferToBindCallData);
    cServerSIP::m_objServerSIP->StartVoiceStream(objBindCallData, objTransferToBindCallData);
}